Subject: Re: bug#30794: Cannot produce backslash through hexadecimal - sed (GNU sed) 4.2.2

From: Assaf Gordon <[email-masked]>
Date: Wed, 14 Mar 2018 16:34:18 -0600

Hello Jim,

On Tue, Mar 13, 2018 at 09:45:55PM -0700, Jim Meyering wrote:
> On Tue, Mar 13, 2018 at 7:45 PM, Assaf Gordon <[email-masked]> wrote:
> ...
> > I expanded your fix by adding tests and news item, see attached patch.
> >
> Thanks for the fine work from both of you.
> Assaf, I think it's fair to extend the bound in the NEWS to say this:
> 
>   [Bug present since the beginning]
> 
> To conclude that, I ran the following on a modern system for which I
> have built many old sed binaries.
> [...]
> $ for i in $(env ls -dv /p/p/sed-*); do printf '%-14s: ' $i; echo z |
> $i/bin/sed 's/\(z\)/\x5c1/'; done|sed s/.....//    s:
> sed-1.18 : x5c1
> sed-2.05 : x5c1
> sed-3.01 : x5c1
> sed-3.02 : x5c1
> [...]

Sorry for bike-shedding,
but wouldn't you say that if "\x5c1" is printed it means that older seds
do not understand hex characters, and simply treated "\x" as "x" ?

-assaf